For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddAuthorizedAccountIP
        • POSTDelAuthorizedAccountIP
        • POSTGetAuthorizedAccountIPs
        • POSTCheckAuthorizedAccountIP
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAuthorized Ips

AddAuthorizedAccountIP

||View as Markdown|
POST
https://api.voximplant.com/platform_api/AddAuthorizedAccountIP
POST
/platform_api/AddAuthorizedAccountIP
$curl -X POST "https://api.voximplant.com/platform_api/AddAuthorizedAccountIP?authorized_ip=92.255.220.0%2F24&allowed=true&description=Office%20network%20range" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Adds a new authorized IP4 or network to the white/black list.

Allowed roles: Owner, Admin, Developer.

Example request: Add the 92.255.220.0/24 network to the white list.

Was this page helpful?
Previous

GetAvailableAdminRoleEntries

Next

DelAuthorizedAccountIP

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

authorized_ipstringRequired
The authorized IP4 or network
allowedbooleanOptionalDefaults to true
Whether to remove the IP from the blacklist
descriptionstringOptional
The IP address description

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully